com.r3corda.core.testing

## Package com.r3corda.core.testing

### Types

AbstractTransactionForTest | `abstract class AbstractTransactionForTest`
LabeledOutput | `class LabeledOutput`
TestUtils | `object TestUtils`
TransactionForTest | `open class TransactionForTest : AbstractTransactionForTest`
TransactionGroupDSL | `class TransactionGroupDSL<T : ContractState>`

### Properties

ALICE | `val ALICE: Party`
ALICE_KEY | `val ALICE_KEY: KeyPair`
ALICE_PUBKEY | `val ALICE_PUBKEY: PublicKey`
ALL_TEST_KEYS | `val ALL_TEST_KEYS: <ERROR CLASS>`
BOB | `val BOB: Party`
BOB_KEY | `val BOB_KEY: KeyPair`
BOB_PUBKEY | `val BOB_PUBKEY: PublicKey`
DUMMY_NOTARY | `val DUMMY_NOTARY: Party`
DUMMY_NOTARY_KEY | `val DUMMY_NOTARY_KEY: KeyPair`
DUMMY_PUBKEY_1 | `val DUMMY_PUBKEY_1: DummyPublicKey`
DUMMY_PUBKEY_2 | `val DUMMY_PUBKEY_2: DummyPublicKey`
MEGA_CORP | `val MEGA_CORP: Party`
MEGA_CORP_KEY | `val MEGA_CORP_KEY: KeyPair`
MEGA_CORP_PUBKEY | `val MEGA_CORP_PUBKEY: PublicKey`
MINI_CORP | `val MINI_CORP: Party`
MINI_CORP_KEY | `val MINI_CORP_KEY: KeyPair`
MINI_CORP_PUBKEY | `val MINI_CORP_PUBKEY: PublicKey`
MOCK_IDENTITY_SERVICE | `val MOCK_IDENTITY_SERVICE: MockIdentityService`
ORACLE_KEY | `val ORACLE_KEY: KeyPair`
ORACLE_PUBKEY | `val ORACLE_PUBKEY: PublicKey`
TEST_TX_TIME | `val TEST_TX_TIME: Instant`

### Functions

freeLocalHostAndPort | `fun freeLocalHostAndPort(): <ERROR CLASS>`
generateStateRef | `fun generateStateRef(): StateRef`
label | `infix fun ContractState.label(label: String): LabeledOutput`
rootCauseExceptions | `fun <R> rootCauseExceptions(body: () -> R): R` If an exception is thrown by the body, rethrows the root cause exception.
transaction | `fun transaction(body: TransactionForTest.() -> Unit): <ERROR CLASS>`
transactionGroup | `fun transactionGroup(body: TransactionGroupDSL<ContractState>.() -> Unit): <ERROR CLASS>`
transactionGroupFor | `fun <T : ContractState> transactionGroupFor(body: TransactionGroupDSL<T>.() -> Unit): <ERROR CLASS>`